CRYPTO_AHASH_REQTFM(9)

NAME
crypto_ahash_reqtfm - obtain cipher handle from request

SYNOPSIS

struct crypto_ahash * crypto_ahash_reqtfm(struct ahash_request * req);

ARGUMENTS

req
    asynchronous request handle that contains the reference to the ahash cipher handle

DESCRIPTION

Return the ahash cipher handle that is registered with the asynchronous request handle ahash_request.

RETURN

ahash cipher handle

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT